kind: pipeline
name: verify

trigger:
  event:
    - push
    - pull_request

steps:
  # test if it compiles correctly
  - name: build
    image: maven:3-eclipse-temurin-21
    commands:
      - mvn verify --no-transfer-progress -DskipTests=true -Dmaven.javadoc.skip=true -B -V
